Loading...
Searching...
No Matches
Result object

## Typedefs

typedef struct _LrResult | LrResult

## Enumerations

enum | LrResultInfoOption { LRR_YUM_REPO , LRR_YUM_REPOMD , LRR_YUM_TIMESTAMP , LRR_RPMMD_REPO , LRR_RPMMD_REPOMD , LRR_RPMMD_TIMESTAMP , LRR_SENTINEL }

## Functions

LrResult * | lr_result_init (void)
void | lr_result_clear (LrResult *result)
void | lr_result_free (LrResult *result)
gboolean | lr_result_getinfo (LrResult *result, GError **err, LrResultInfoOption option,...)

## Detailed Description

## Typedef Documentation

## LrResult

typedef struct _LrResult LrResult

Result object

Definition at line 37 of file result.h.

## Enumeration Type Documentation

## LrResultInfoOption

enum LrResultInfoOption

Result options for lr_result_getinfo.

Enumerator
LRR_YUM_REPO | (LrYumRepo *) Reference to LrYumRepo in result
LRR_YUM_REPOMD | (LrYumRepoMd *) Reference to LrYumRepoMd in result
LRR_YUM_TIMESTAMP | (gint64) The highest timestamp from repomd.xml. See: https://github.com/Tojaj/librepo/issues/25 See: http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=59d3d67f
LRR_RPMMD_REPO | In C same as LRR_YUM_REPO
LRR_RPMMD_REPOMD | In C same as LRR_YUM_REPOMD
LRR_RPMMD_TIMESTAMP | In C same as LRR_YUM_TIMESTAMP

Definition at line 41 of file result.h.

## Function Documentation

## lr_result_clear()

void lr_result_clear | ( | LrResult * | result | ) |

Clean result object.

Parameters

  result | Result object.

## lr_result_free()

void lr_result_free | ( | LrResult * | result | ) |

Free result object.

Parameters

  result | Result object.

## lr_result_getinfo()

gboolean lr_result_getinfo | ( | LrResult * | result,
|  | GError ** | err,
|  | LrResultInfoOption | option,
|  |  | ... )

Get information about downloaded/localised repository from result object.

Parameters

  result | Result object.
  err | GError **
  option | Option from LrResultInfoOption enum.
  ... | Appropriate variable for the selected option.

Returns
  TRUE if everything is ok, false if err is set.

## lr_result_init()

LrResult * lr_result_init | ( | void |  | ) |

Return new allocated LrResult object

Returns
  New allocated LrResult object